Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface DomainObjectSet

    java.lang.Iterable
      java.util.Collection
          org.gradle.tooling.model.DomainObjectSet

All Superinterfaces:
  Iterable, Collection

    public interface DomainObjectSet
    extends Set

A set of domain objects of type T.

Parameters:
  `` - The type of objects in this collection.

Method Summary
`List` | `getAll()` Returns the elements of this set in the set's iteration order.
`Object` | `getAt(int index)` Returns the element at the given index according to the set's iteration order.

Methods inherited from interface Set
add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getAll

    public List getAll()

  Returns the elements of this set in the set's iteration order.
  Returns:
    The elements of this set in the set's iteration order.

### getAt

    public Object getAt(int index)

  Returns the element at the given index according to the set's iteration order.
  Parameters:
    `index` - The index of the element to get.
  Returns:
    The element at the given index according to the set's iteration order.

Gradle API 1.1-rc-1